Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5144)
@@ -1172,6 +1172,7 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
+    USE lmdz_yomcst
+
     IMPLICIT NONE
-    include "YOMCST.h"
     !        argument
     INTEGER llm
@@ -1244,6 +1245,7 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
+    USE lmdz_yomcst
+
     IMPLICIT NONE
-    include "YOMCST.h"
     !        argument
     INTEGER llm, nqtot
@@ -1318,6 +1320,7 @@
     ! ========================================================
     USE dimphy
-    USE lmdz_YOETHF
+    USE lmdz_yoethf
     USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+    USE lmdz_yomcst
 
     IMPLICIT NONE
@@ -1337,8 +1340,4 @@
     INTEGER k, i
     REAL zx_qs
-
-    ! Declaration des constantes et des fonctions thermodynamiques
-
-    include "YOMCST.h"
 
     DO k = 1, klev
@@ -1394,6 +1393,7 @@
     ! ========================================================
     USE dimphy
-    USE lmdz_YOETHF
+    USE lmdz_yoethf
     USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+    USE lmdz_yomcst
 
     IMPLICIT NONE
@@ -1424,8 +1424,4 @@
     INTEGER k, i
     REAL zx_qs, rh, tnew, d_rh, rhnew
-
-    ! Declaration des constantes et des fonctions thermodynamiques
-
-    include "YOMCST.h"
 
     print *, 'dtime, tau ', dtime, tau
@@ -1545,7 +1541,8 @@
           &, dth_mod_cas, hth_mod_cas, vth_mod_cas, mxcalc)
 
+    USE lmdz_yomcst
+
     IMPLICIT NONE
 
-    include "YOMCST.h"
     include "dimensions.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5144)
@@ -1,4 +1,4 @@
 MODULE lmdz_old_1dconv
-   PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
+  PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
   PUBLIC get_uvd, copie, get_uvd2, rdgrads, spaces
 CONTAINS
@@ -7,4 +7,6 @@
           &       ht, hq, hw, hu, hv, hthturb, hqturb, &
           &       Ts, imp_fcg, ts_fcg, Tp_fcg, Turb_fcg)
+
+    USE lmdz_yomcst
 
     IMPLICIT NONE
@@ -14,6 +16,4 @@
     ! pouvoir calculer la convergence et le cisaillement dans la physiq
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
-    INCLUDE "YOMCST.h"
 
     INTEGER klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5144)
@@ -56,7 +56,7 @@
     USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
     USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
+    USE lmdz_yomcst
 
     INCLUDE "dimensions.h"
-    INCLUDE "YOMCST.h"
     INCLUDE "dimsoil.h"
     INCLUDE "compar1d.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5144)
@@ -49,7 +49,7 @@
     USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
     USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
+    USE lmdz_yomcst
 
     INCLUDE "dimensions.h"
-    INCLUDE "YOMCST.h"
     INCLUDE "dimsoil.h"
     INCLUDE "compar1d.h"
